Categories:
  - Internet
License: Apache-2.0
AuthorName: Wikimedia Foundation
AuthorEmail: commons-app-android@googlegroups.com
WebSite: https://commons-app.github.io/
SourceCode: https://github.com/commons-app/apps-android-commons
IssueTracker: https://github.com/commons-app/apps-android-commons/issues
Translation: https://github.com/commons-app/documentation/blob/master/android/Translating-the-app.md
Changelog: https://github.com/commons-app/apps-android-commons/blob/HEAD/CHANGELOG.md

AutoName: Commons
Description: |-
    Images you upload via the app are added to Wikimedia Commons, a repository of
    freely-licensed media used to illustrate Wikipedia and its sister projects. By
    uploading your photos, you can help further the goal of spreading free knowledge
    around the world.

    The Wikimedia Commons app is created and maintained by grantees and volunteers
    of the Wikimedia community to allow the Wikimedia community to contribute
    content to Wikimedia Commons. Wikimedia Commons, along with the other Wikimedia
    projects, is hosted by the Wikimedia Foundation.

    '''Features:'''

    * Upload photos to Commons directly from your smartphone
    * Categorize your photos to make them easier for other people to find
    * Categories are automatically suggested based on photo location data and title
    * View nearby missing images - this helps Wikipedia to have images for all articles, and you will discover beautiful places close to you
    * View all the contributions you have made to Commons in one gallery

RepoType: git
Repo: https://github.com/commons-app/apps-android-commons

Builds:
  - versionName: '1.15'
    versionCode: 33
    commit: v1.15
    subdir: commons/app
    gradle:
      - yes
    prebuild:
      - sed -i "s/compile fileTree.*^/compile 'com.github.varunpant:Quadtree:3acd4676673551b0'/g"
        build.gradle
      - sed -i 's#\(mavenCentral()\)#\1\nmaven { url "https://jitpack.io" }#g' ../build.gradle

  - versionName: '1.32'
    versionCode: 50
    commit: v1.32
    subdir: app
    gradle:
      - yes

  - versionName: '1.41'
    versionCode: 59
    commit: v1.41
    subdir: app
    gradle:
      - yes

  - versionName: '1.42'
    versionCode: 60
    commit: v1.42
    subdir: app
    gradle:
      - yes

  - versionName: '1.44'
    versionCode: 62
    commit: v1.44
    subdir: app
    gradle:
      - yes

  - versionName: '2.0'
    versionCode: 63
    commit: v2.0
    subdir: app
    gradle:
      - yes

  - versionName: 2.0.1
    versionCode: 64
    commit: v2.0.1
    subdir: app
    gradle:
      - yes

  - versionName: 2.0.2 beta
    versionCode: 65
    commit: v2.0.2
    subdir: app
    gradle:
      - yes

  - versionName: '2.1'
    versionCode: 66
    commit: v2.1
    subdir: app
    gradle:
      - yes

  - versionName: '2.2'
    versionCode: 67
    commit: v2.2
    subdir: app
    gradle:
      - yes

  - versionName: 2.2.1
    versionCode: 68
    commit: v2.2.1
    subdir: app
    gradle:
      - yes

  - versionName: 2.2.2
    versionCode: 69
    commit: v2.2.2
    subdir: app
    gradle:
      - yes

  - versionName: '2.3'
    versionCode: 70
    commit: v2.3
    subdir: app
    gradle:
      - yes

  - versionName: '2.4'
    versionCode: 71
    commit: v2.4
    subdir: app
    gradle:
      - yes

  - versionName: 2.4.1
    versionCode: 72
    commit: v2.4.1
    subdir: app
    gradle:
      - yes

  - versionName: 2.4.2
    versionCode: 73
    commit: v2.4.2
    subdir: app
    gradle:
      - yes

  - versionName: 2.5.0
    versionCode: 74
    commit: v2.5.0
    subdir: app
    gradle:
      - yes

  - versionName: 2.6.0
    versionCode: 75
    commit: v2.6.0
    subdir: app
    gradle:
      - prod

  - versionName: 2.6.5
    versionCode: 80
    commit: v2.6.5
    subdir: app
    gradle:
      - prod

  - versionName: 2.6.6
    versionCode: 81
    commit: v2.6.6
    subdir: app
    gradle:
      - prod

  - versionName: 2.6.7
    versionCode: 82
    commit: v2.6.7
    subdir: app
    gradle:
      - prod

  - versionName: 2.7.0
    versionCode: 83
    commit: v2.7.0
    subdir: app
    gradle:
      - prod

  - versionName: 2.7.1
    versionCode: 84
    commit: v2.7.1
    subdir: app
    gradle:
      - prod

  - versionName: 2.7.2
    versionCode: 85
    commit: v2.7.2
    subdir: app
    gradle:
      - prod

  - versionName: 2.8.1
    versionCode: 88
    commit: v2.8.1
    subdir: app
    gradle:
      - prod

  - versionName: 2.8.2
    versionCode: 89
    commit: v2.8.2
    subdir: app
    gradle:
      - prod

  - versionName: 2.8.3
    versionCode: 90
    commit: v2.8.3
    subdir: app
    gradle:
      - prod

  - versionName: 2.8.4
    versionCode: 91
    commit: v2.8.4
    subdir: app
    gradle:
      - prod

  - versionName: 2.8.5
    versionCode: 92
    commit: v2.8.5
    subdir: app
    gradle:
      - prod

  - versionName: 2.8.6
    versionCode: 93
    commit: v2.8.6
    subdir: app
    gradle:
      - prod

  - versionName: 2.10.0
    versionCode: 212
    commit: v2.10.0
    subdir: app
    gradle:
      - prod

  - versionName: 2.10.1
    versionCode: 226
    commit: v2.10.1
    subdir: app
    gradle:
      - prod

  - versionName: 2.10.2
    versionCode: 243
    commit: v2.10.2
    subdir: app
    gradle:
      - prod

  - versionName: 2.11.0
    versionCode: 475
    commit: v2.11
    subdir: app
    gradle:
      - prod

  - versionName: 2.12.0
    versionCode: 508
    commit: v2.12
    subdir: app
    gradle:
      - prod

  - versionName: 2.12.1
    versionCode: 542
    commit: v2.12.1
    subdir: app
    gradle:
      - prod

  - versionName: 2.12.2
    versionCode: 549
    commit: v2.12.2
    subdir: app
    gradle:
      - prod

  - versionName: 2.12.3
    versionCode: 561
    commit: v2.12.3
    subdir: app
    gradle:
      - prod

  - versionName: '2.13'
    versionCode: 709
    commit: v2.13
    subdir: app
    gradle:
      - prod

  - versionName: 2.13.1
    versionCode: 775
    commit: v2.13.1
    subdir: app
    gradle:
      - prod

  - versionName: 2.13.2
    versionCode: 791
    commit: v2.13.2
    subdir: app
    gradle:
      - prod

  - versionName: 3.0.0
    versionCode: 876
    commit: v3.0
    subdir: app
    gradle:
      - prod

  - versionName: 3.0.1
    versionCode: 1016
    commit: v3.0.1
    subdir: app
    gradle:
      - prod

AutoUpdateMode: Version v%v
UpdateCheckMode: Tags
CurrentVersion: 3.0.1
CurrentVersionCode: 1016
